version: "3.7"

services:
  caddy:
    image: caddy-docker-proxy:local
    ports:
      - 80:80
      - 443:443
    networks:
      - caddy
    environment:
      - CADDY_DOCKER_PROCESS_CADDYFILE=false
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock

  # Proxy to service
  whoami0:
    image: jwilder/whoami
    networks:
      - caddy
    deploy:
      labels:
        caddy: whoami0.watheia.io
        caddy.reverse_proxy: "{{upstreams 8000}}"
        caddy.tls: "internal"

  # Proxy to service
  whoami1:
    image: jwilder/whoami
    networks:
      - caddy
    deploy:
      labels:
        caddy: whoami1.watheia.io
        caddy.reverse_proxy: "{{upstreams 8000}}"
        caddy.tls: "internal"

networks:
  caddy:
    name: caddy_test
    external: true
